# Calculate, update or reset a loan schedule

`POST /lokta-lms/api/v1/loans/{loanId}/schedule`

Calculate loan repayment schedule based on Loan term variations:

Mandatory Fields: exceptions,locale,dateFormat

Updates loan repayment schedule based on Loan term variations:

Mandatory Fields: exceptions,locale,dateFormat

Updates loan repayment schedule by removing Loan term variations:

It updates the loan repayment schedule by removing Loan term variations

Showing request/response for 'Updates loan repayment schedule by removing Loan term variations'

## Parameters
- `loanId` (path, integer, required): loanId
- `command` (query, string): command

## Responses
- `200`: OK

## Response fields
- `changes` (PostLoanChanges)
- `loanId` (integer)

## Example request (cURL)
```bash
curl -X POST \
  'https://default.lokta.tech/lokta-lms/api/v1/loans/{loanId}/schedule' \
  -u '{username}:{password}' \
  -H 'Tenant-Identifier: default'
```

## Example response
```json
{
  "changes": {
    "removedEntityIds": [
      21,
      22
    ]
  },
  "loanId": 1
}
```

Interactive: https://developer.lokta.ai/reference#operation/handleCommandsLoanSchedule
